
using WebAPIWithEF.Data;
using WebAPIWithEF.Services;

namespace WebAPIWithEF
{
    public class Program
    {
        public static void Main(string[] args)
        {
            var builder = WebApplication.CreateBuilder(args);

            // Add services to the container.

            builder.Services.AddControllers();
            // Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
            builder.Services.AddEndpointsApiExplorer();
            builder.Services.AddSwaggerGen();

            builder.Services.AddSqlite<PizzaContext>("Data Source=ContosoPizza.db");
            builder.Services.AddSqlite<PromotionsContext>("Data Source=Promotions/Promotions.db");

            builder.Services.AddScoped<PizzaService>();

            var app = builder.Build();

            // Configure the HTTP request pipeline.
            if (app.Environment.IsDevelopment())
            {
                app.UseSwagger();
                app.UseSwaggerUI();
            }

            app.UseHttpsRedirection();

            app.UseAuthorization();


            app.MapControllers();

            app.CreateDbIfNotExists();

            app.MapGet("/", () => @"Contoso Pizza management API. Navigate to /swagger to open the Swagger test UI.");

            app.Run();
        }
    }
}
